slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVApplyMatrix

Multiplies a vector by the matrix representation of the inner product.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVApplyMatrix(BV bv,Vec x,Vec y)

Neighbor-wise Collective

### Input Parameters

| bv | - the basis vectors context
| x | - the vector

### Output Parameter

| y | - the result

### Note

If no matrix was specified this function copies the vector.

### See Also

BVSetMatrix(), BVApplyMatrixBV()

### Level

advanced

### Location

src/sys/classes/bv/interface/bvbasic.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages